gtk-sharp 0.0.0.0 neutral Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. Create bars of buttons and other widgets.

A is created with a call to .

Buttons with text and/or images are added with , , and .

Any of , , or an arbitrary widget can be added to the toolbar with , , and .

Widgets can be visibly grouped by adding gaps between widgets using , , and .

Gtk.Container Atk.Implementor GLib.IWrapper GLib.IWrapper System.IDisposable
- Method
  System.Void Adds a new space to the beginning of the toolbar.
- Method
  System.Void Unsets a toolbar style set with . Unsets a toolbar style set with , so that user preferences will be used to determine the toolbar style.
- Method
  System.Void Unsets toolbar icon size set with .
- Method
  System.Void `` `` `` `` Inserts a widget in the toolbar at the given position. a to add to the toolbar. The tooltip for the element. Used for context-sensitive help about this toolbar element. The number of widgets to insert this widget after.
- Method
  System.Void `` `` `` Adds a widget to the end of the given toolbar. A to add to the toolbar. The tooltip for the element. Used for context-sensitive help about this toolbar element.
- Method
  System.Void Adds a new space to the end of the toolbar.
- Method
  System.Void `` Removes a space from the specified position. The index of the space to remove.
- Method
  System.Void `` `` `` Adds a widget to the beginning of the given toolbar. a to add to the toolbar. The tooltip for the element. Used for context-sensitive help about this toolbar element.
- Method
  System.Void `` Inserts a new space in the toolbar at the specified position. The number of widgets after which a space should be inserted.
- Method
  System.Void Disposes the resources associated with the object.
- Constructor
  Internal constructor
  Pointer to the C object.
  An instance of Toolbar, wrapping the C object.

  This is an internal constructor, and should not be used by user code.

- Constructor
  Creates a new toolbar.
  The newly-created toolbar.
- Property
  Gtk.IconSize This function sets the size of stock icons in the toolbar. You can call it both before you add the icons and after they have been added. The size you set will override user preferences for the default icon size. The that stock icons in the toolbar shall have. The icon size for the toolbar.
- Property
  System.Boolean Sets if the tooltips of a toolbar should be active or not. set to to disable the tooltips, or to enable them. Whether tooltips are enabled.
- Property
  Gtk.ToolbarStyle Alters the view of toolbar to display either icons only, text only, or both. The new style for toolbar. The current style of toolbar.
- Property
  Gtk.Orientation Sets the of the toolbar to either or . The orientation of the toolbar. The orientation of the toolbar.
- Event
  Gtk.StyleChangedHandler Used if you wish to perform an action when the orientation of a toolbar is changed.
- Event
  Gtk.OrientationChangedHandler Used if you wish to perform an action when ever the style of a toolbar is adjusted. For example, this would be a useful signal to connect to if you want to display more items on the toolbar when it is in icon-only mode; each item takes less space on the bar.
- Property
  GLib.GType GType Property. a Returns the native value for .
- Method
  System.Void `` Default handler for the event. a Override this method in a subclass to provide a default handler for the event.
- Method
  System.Void `` Default handler for the event. a Override this method in a subclass to provide a default handler for the event.
- Method
  Gtk.Widget `` `` `` `` `` `` ``

  This method is deprecated and should not be used in new code.

  Adds a new button to the beginning of the toolbar (left or top, depending on toolbar orientation).

  If type == , widget is used as the new element. If type == , widget is used to determine the radio group for the new element. In all other cases, widget must be NULL.

  a , the type of widget to add a , the widget itself a , a label for the widget a , simple tooltip text a , context-sensitive detailed help a , the icon to use for this widget a , a callback function to use when the new widget is touched. a
- Method
  Gtk.Widget `` `` `` `` `` `` `` `` ``

  This method is deprecated and should not be used in new code.

  Adds a new button to the beginning of the toolbar (left or top, depending on toolbar orientation).

  If type == , widget is used as the new element. If type == , widget is used to determine the radio group for the new element. In all other cases, widget must be NULL.

  a , the type of widget to add a , the widget itself a , a label for the widget a , simple tooltip text a , context-sensitive detailed help a , the icon to use for this widget a , a callback function to use when the new widget is touched. a , data to pass to the callback. a , the number of toolbar widgets to insert this element after. a , the new toolbar element.
- Method
  Gtk.Widget `` `` `` `` `` Deprecated. a a a a a a
- Method
  Gtk.Widget `` `` `` `` `` `` Deprecated. a a a a a a a
- Method
  Gtk.Widget `` `` `` `` `` `` `` Deprecated. a a a a a a a a
- Method
  Gtk.Widget `` `` `` `` `` Deprecated. a a a a a a
- Method
  Gtk.Widget `` `` `` `` `` `` `` Deprecated. a a a a a a a a
- Constructor
  Protected Constructor.
  a
  a
  Chain to this constructor if you have manually registered a native value for your subclass.
- Property
  System.Boolean To be added a To be added
- Property
  Gtk.ReliefStyle To be added a To be added
- Property
  System.Int32 To be added a To be added
- Event
  Gtk.PopupContextMenuHandler To be added To be added
- Method
  System.Boolean `` `` `` To be added a a a a To be added
- Method
  System.Void `` `` To be added a a To be added
- Method
  Gtk.ToolItem `` To be added a a To be added
- Method
  System.Void `` `` To be added a a To be added
- Method
  System.Int32 `` To be added a a To be added
- Method
  System.Int32 `` `` To be added a a a To be added
- Method
  System.Boolean `` Test whether or not the child should be the same size as other (homogeneous) items a child of this if is the same size as other (homogeneous) items in this toolbar
- Method
  System.Void `` `` Set whether or not the child should be the same size as other (homogeneous) items a child of this if should be the same size as other (homogeneous) items in this toolbar
- Method
  System.Boolean `` Test whether or not the child should receive extra space as the toolbar grows. a child of this if receives extra space as the toolbar grows
- Method
  System.Void `` `` Set whether or not the child should receive extra space as the toolbar grows. a child of this if should receive extra space as the toolbar grows